package db

import (
	"github.com/gshopify/service-wrapper/model"
	"gshopper.com/gshopify/shop/cache"
	"time"
)

var (
	locationSelection = func(ln model.LanguageCode) []string {
		return append([]string{
			"id", "created_at", "updated_at", "deleted_at",
			"address_1", "address_2", "city", "country", "country_code",
			"province", "province_code", "zip", "phone",
			"latitude", "longitude",
		}, ln.SqlFieldSelection("name"))
	}
	locationKey = func(clause string, args ...any) *cache.SqlKey {
		return cache.NewSQLKey(
			"location",
			time.Minute,
			clause, args...)
	}
)
