package graphql

import (
	"context"
	"github.com/gshopify/service-wrapper/model"
	"github.com/gshopify/service-wrapper/server/middleware"
	"gshopper.com/gshopify/shop/graphql/generated"
)

func (r *entityResolver) FindLocationByID(ctx context.Context, id string) (*generated.Location, error) {
	var (
		inContext *middleware.GShopifyContext
		rawId     string
		err       error
	)

	inContext, err = middleware.InContext(ctx)
	if err != nil {
		return nil, err
	}

	rawId, err = model.ParseId(model.GidLocation, id)
	if err != nil {
		return nil, err
	}

	return r.db.Location(inContext.Language, rawId)
}

func (r *queryResolver) Locations(ctx context.Context,
	after *string, before *string, first *int, last *int, near *generated.GeoCoordinateInput, reverse *bool, sortKey *generated.LocationSortKeys,
) (*generated.LocationConnection, error) {
	panic("not implemented")
}
